Bug 197519 - [new port] www/h2o
Summary: [new port] www/h2o
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Andrej Zverev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-10 15:30 UTC by Dave Cottlehuber
Modified: 2015-02-18 08:48 UTC (History)
1 user (show)

See Also:


Attachments
the almighty shar (5.45 KB, text/plain)
2015-02-10 15:30 UTC, Dave Cottlehuber
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-02-10 15:30:23 UTC
Created attachment 152845 [details]
the almighty shar

# portlint -AC
WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".
0 fatal errors and 2 warnings found.

# poudriere testport

https://dpaste.de/3Ywr

h2o.shar attached

# Misc

- I reused www for UID/GID as this is already done for other www servers like cherokee
- source for ports at github.com/skunkwerks/freebsd-ports
- upstream reference https://github.com/h2o/h2o/issues/145
Comment 1 Andrej Zverev freebsd_committer 2015-02-17 18:24:27 UTC
I'll handle it. Need some time to check details.
Comment 2 commit-hook freebsd_committer 2015-02-17 21:03:49 UTC
A commit references this bug:

Author: az
Date: Tue Feb 17 21:03:08 UTC 2015
New revision: 379190
URL: https://svnweb.freebsd.org/changeset/ports/379190

Log:
  - add new port: www/h2o

  H2O is a very fast HTTP server written in C. It can also be used as a library.
  It supports:

  - HTTP/1.0, HTTP/1.1
  - [HTTP/2](http://http2.github.io/)
  - draft 16 (and draft 14 to support older clients)
  - persistent connections
  - chunked encoding
  - negotiation methods: NPN, ALPN, Upgrade, direct
  - dependency and weight-based prioritization
  - server push
  - TLS
  - uses [OpenSSL](https://www.openssl.org/)
  - forward secrecy
  - AEAD ciphers
  - OCSP stapling (automatically enabled)
  - session resumption (internal memory)
  - conditional GET using last-modified / etag
  - mime-type configuration
  - reverse proxy
  - persistent upstream connection

  PR:             197519
  Submitted by:   Dave Cottlehuber <dch@skunkwerks.at>

Changes:
  head/www/Makefile
  head/www/h2o/
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/
  head/www/h2o/files/h2o.conf.sample
  head/www/h2o/files/h2o.in
  head/www/h2o/pkg-descr
  head/www/h2o/pkg-plist
Comment 3 Dave Cottlehuber freebsd_committer 2015-02-18 07:45:48 UTC
Sorry, the `-r` option needs to be removed from the committed port, despite our discussion on irc, as it seems that /usr/sbin/daemon doesn't correctly shut down as a result, because rc script does not use the supplied pidfile, but looks for the pid of the h2o binary itself. I will see if I can find a suitable way to handle this and submit a later patch with the -r option added back.


```
dch   /u/l/p/p/d/w/h2o git:master ❯❯❯sudo service h2o stop
Stopping h2o.
/usr/local/etc/rc.d/h2o: DEBUG: run_rc_command: doit: su -m www -c 'sh -c "kill -TERM 82017"'
dch   /u/l/p/p/d/w/h2o git:master ❯❯❯pgrep h2o
82094 /usr/local/bin/h2o --conf /usr/local/etc/h2o/h2o.conf
82016 daemon: /usr/local/bin/h2o[82094]
dch   /u/l/p/p/d/w/h2o git:master ❯❯❯pgrep h2o
82094 /usr/local/bin/h2o --conf /usr/local/etc/h2o/h2o.conf
82016 daemon: /usr/local/bin/h2o[82094]
dch   /u/l/p/p/d/w/h2o git:master ❯❯❯sudo service h2o stop
Stopping h2o.
/usr/local/etc/rc.d/h2o: DEBUG: run_rc_command: doit: su -m www -c 'sh -c "kill -TERM 82094"'

dch   /u/l/p/p/d/w/h2o git:master ❯❯❯pgrep h2o
82223 /usr/local/bin/h2o --conf /usr/local/etc/h2o/h2o.conf
82016 daemon: /usr/local/bin/h2o[82223]
dch   /u/l/p/p/d/w/h2o git:master ❯❯❯
```
Comment 4 commit-hook freebsd_committer 2015-02-18 08:48:01 UTC
A commit references this bug:

Author: az
Date: Wed Feb 18 08:47:41 UTC 2015
New revision: 379201
URL: https://svnweb.freebsd.org/changeset/ports/379201

Log:
  - remove -r flag from daemon runtime.
  - bump PORTREVISION

  PR:		197519
  Submitted by:	maintainer

Changes:
  head/www/h2o/Makefile
  head/www/h2o/files/h2o.in